clang 10.0.0git

Public Member Functions | List of all members
clang::RewriteIncludesAction::RewriteImportsListener Class Reference
Inheritance diagram for clang::RewriteIncludesAction::RewriteImportsListener:
[legend]
Collaboration diagram for clang::RewriteIncludesAction::RewriteImportsListener:
[legend]

## Public Member Functions
| RewriteImportsListener (CompilerInstance &CI, std::shared_ptr< raw_ostream > Out)
void | visitModuleFile (StringRef Filename, serialization::ModuleKind Kind) override
| This is called for each AST file loaded. More...
Public Member Functions inherited from clang::ASTReaderListener
virtual | ~ASTReaderListener ()
virtual bool | ReadFullVersionInformation (StringRef FullVersion)
| Receives the full Clang version information. More...
virtual void | ReadModuleName (StringRef ModuleName)
virtual void | ReadModuleMapFile (StringRef ModuleMapPath)
virtual bool | ReadLanguageOptions (const LangOptions &LangOpts, bool Complain, bool AllowCompatibleDifferences)
| Receives the language options. More...
virtual bool | ReadTargetOptions (const TargetOptions &TargetOpts, bool Complain, bool AllowCompatibleDifferences)
| Receives the target options. More...
virtual bool | ReadDiagnosticOptions (IntrusiveRefCntPtr< DiagnosticOptions > DiagOpts, bool Complain)
| Receives the diagnostic options. More...
virtual bool | ReadFileSystemOptions (const FileSystemOptions &FSOpts, bool Complain)
| Receives the file system options. More...
virtual bool | ReadHeaderSearchOptions (const HeaderSearchOptions &HSOpts, StringRef SpecificModuleCachePath, bool Complain)
| Receives the header search options. More...
virtual bool | ReadPreprocessorOptions (const PreprocessorOptions &PPOpts, bool Complain, std::string &SuggestedPredefines)
| Receives the preprocessor options. More...
virtual void | ReadCounter (const serialization::ModuleFile &M, unsigned Value)
| Receives COUNTER value. More...
virtual bool | needsInputFileVisitation ()
| Returns true if this `ASTReaderListener` wants to receive the input files of the AST file via `visitInputFile`, false otherwise. More...
virtual bool | needsSystemInputFileVisitation ()
| Returns true if this `ASTReaderListener` wants to receive the system input files of the AST file via `visitInputFile`, false otherwise. More...
virtual bool | visitInputFile (StringRef Filename, bool isSystem, bool isOverridden, bool isExplicitModule)
| if `needsInputFileVisitation` returns true, this is called for each non-system input file of the AST File. More...
virtual bool | needsImportVisitation () const
| Returns true if this `ASTReaderListener` wants to receive the imports of the AST file via `visitImport`, false otherwise. More...
virtual void | visitImport (StringRef ModuleName, StringRef Filename)
| If needsImportVisitation returns `true`, this is called for each AST file imported by this AST file. More...
virtual void | readModuleFileExtension (const ModuleFileExtensionMetadata &Metadata)
| Indicates that a particular module file extension has been read. More...

## Detailed Description

Definition at line 203 of file FrontendActions.cpp.

## Constructor & Destructor Documentation

## ◆ RewriteImportsListener()

clang::RewriteIncludesAction::RewriteImportsListener::RewriteImportsListener | ( | CompilerInstance & | CI,
|  | std::shared_ptr< raw_ostream > | Out
| ) |  |
| inline

Definition at line 210 of file FrontendActions.cpp.

## Member Function Documentation

## ◆ visitModuleFile()

void clang::RewriteIncludesAction::RewriteImportsListener::visitModuleFile | ( | StringRef | Filename,
|  | serialization::ModuleKind | Kind
| ) |  |
| inline override virtual

This is called for each AST file loaded.

Reimplemented from clang::ASTReaderListener.

Definition at line 213 of file FrontendActions.cpp.

References clang::CompilerInstance::getASTReader(), clang::CompilerInstance::getDiagnosticClient(), clang::FileManager::getFile(), clang::CompilerInstance::getFileManager(), clang::CompilerInstance::getInvocation(), clang::CompilerInstance::getModuleCache(), clang::CompilerInstance::getPCHContainerOperations(), clang::serialization::ModuleFile::isModule(), clang::isValidIdentifier(), clang::serialization::ModuleFile::ModuleName, clang::InputKind::Precompiled, clang::CompilerInstance::setInvocation(), and clang::Unknown.

The documentation for this class was generated from the following file:

- lib/Frontend/Rewrite/FrontendActions.cpp